List pending invites – Management API – MediaKind
List pending invites
get https://app.mk.io/api/v1/organization/invites
This endpoint shows the current list of invitations that have been sent by this MK.IO organization and which have not been accepted or declined yet.
RBAC Capability Required: core.invite.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Response
200 OK
kind
stringRequired
The kind of record.value
list of objects [InviteGetSchema](https://docs.mediakind.com/api-reference/management-api/schemas/invitegetschema)Required
List of pending invitesShow 3 properties
Hide 3 propertieskind
stringOptional
The kind of record.metadata
object [InviteMetadataSchema](https://docs.mediakind.com/api-reference/management-api/schemas/invitemetadataschema)Optional
Metadata
Show 2 properties
Hide 2 propertiescreated
stringOptional format: date-time
The time when the resource was createdid
stringRequired format: uuid
The ID of the resourcespec
object [InviteSpecSchema](https://docs.mediakind.com/api-reference/management-api/schemas/invitespecschema)Required
Specification
Show 6 properties
Hide 6 propertiescomment
stringRequired
Comment to explain why the user has been invited to collaborate with your organizationemail
stringRequired
Email of the user to be invitedinvitedByEmail
stringRequired
Contact email of user who made the inviteinvitedByName
stringRequired
Name of user who made the inviteorganizationName
stringRequired
Name of the organization the invite refers toteams
list of stringsOptional
List of team names to add this user to when they accept.
Errors
400 Bad Request
error
object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail)Required
Pertinent information about the error
Show 3 properties
Hide 3 propertiescode
stringRequired
The error code.detail
stringRequired
The error message.extraDetail
map from strings to anyOptional
Extra information regarding this error.ref
stringRequired
A reference to the request that caused the error.status
integerRequired
The HTTP status code
401 Unauthorized
- error
object [ErrorDetail](https://docs.mediakind.com/api-reference/management-api/schemas/errordetail)Required
Pertinent information about the error
... [Similar structure for 403, 404, 429, 500]...